<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HTML Tables and Forms</title>
</head>
<body>
    <!-- Semantic tags for code readability -->
    <header>
        <h1>HTML Tables and Forms</h1>
    </header>

    <main>
        <section>
            <h2>HTML Entities</h2>
            <p><em>Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix up HTML code)</em></p>

            <!-- Defines an HTML Table -->
            <table border="1">
                <!-- Used to group table header content -->
                <thead>
                    <tr>
                        <th colspan="2">Entity</th>
                        <th>Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>&lt;</td>
                        <td>lt</td>
                        <td>Less than</td>
                    </tr>
                    <tr>
                        <td>&gt;</td>
                        <td>gt</td>
                        <td>Greater than</td>
                    </tr>
                    <tr>
                        <td>&#8369;</td>
                        <td>#8369</td>
                        <td>Peso sign</td>
                    </tr>
                    <tr>
                        <td>&amp;</td>
                        <td>amp</td>
                        <td>Ampersand</td>
                    </tr>
                    <tr>
                        <td>&quot;</td>
                        <td>quot</td>
                        <td>Double quotation mark</td>
                    </tr>
                    <tr>
                        <td>&apos;</td>
                        <td>apos</td>
                        <td>Single quotation mark (apostrophe)</td>
                    </tr>
                    <tr>
                        <td>&ntilde;</td>
                        <td>ntilde</td>
                        <td>Lower n tilde</td>
                    </tr>
                    <tr>
                        <td>&Ntilde;</td>
                        <td>Ntilde</td>
                        <td>Upper N tilde</td>
                    </tr>
                </tbody>
                <tfoot>
                    <tr>
                        <th colspan="3">List of HTML Entities</th>
                    </tr>
                </tfoot>
            </table>
        </section>

        <section>
            <h2>HTML Forms</h2>
            <p><em>HTML elements that make up a form.</em></p>

            <form action="https://www.google.com/">
                <label for="full_name">Full name:</label><br>
                <input type="text" name="full_name" id="full_name" required /><br>

                <label for="birth_date">Birth Date:</label><br>
                <input type="date" name="birth_date" id="birth_date" required /><br>
                
                <label for="age">Age:</label><br>
                <input type="number" name="age" id="age" required /><br>

                <label for="gender">Gender:</label><br>
                <!-- Creates a dropdown menu -->
                <select name="gender" id="gender">
                    <!-- Creates a option for the dropdown -->
                    <option value="male">Male</option>
                    <option value="female">Female</option>
                    <option value="rather_not_say">Rather not say</option>
                </select><br>

                <label for="notes">Notes:</label><br>
                <textarea name="notes" id="notes" cols="30" rows="10"></textarea><br>

                <label>New User:</label><br>
                <input type="radio" name="new_user" id="user-type1" value="no">
                <label for="user-type1">No</label><br>
                <input type="radio" name="new_user" id="user-type2" value="yes">
                <label for="user-type2">Yes</label><br>
                <input type="radio" name="new_user" id="user-type3" value="admin">
                <label for="user-type3">Admin</label><br>

                <br><br>
                
                <label>Role:</label><br>

                <input type="checkbox" name="role1" id="role1" value="developer">
                <label for="role1">Developer</label><br>
                
                <input type="checkbox" name="role2" id="role2" value="student">
                <label for="role2">Student</label><br>
                
                <input type="checkbox" name="role3" id="role3" value="manager">
                <label for="role3">Manager</label><br>

                <br><br>
                
                <button type="submit">Submit</button>
                <br>
                <button type="reset">Reset</button>
            </form>
        </section>
    </main>
</body>
</html>